"Error" when starting Themler with PHP8

Werbeagentur Schulz-Design
88 Posts
Werbeagentur Schulz-Design posted this 3 weeks ago

Since updating to Themler v550 and 556 I have the problem that I only get an 'Error' message when I try to start Themler from the Joomla backend.

I then always have to change to PHP 7.4 first and can then edit the template. Then I can switch back to PHP 8.
This happens to me on both Firefox and Chrome.

However, this is very tedious and certainly not wanted.

Sincerely,
Thorsten
Werbeagentur Schulz-Design

Since updating to Themler v550 and 556 I have the problem that I only get an 'Error' message when I try to start Themler from the Joomla backend. I then always have to change to PHP 7.4 first and can then edit the template. Then I can switch back to PHP 8. This happens to me on both Firefox and Chrome. However, this is very tedious and certainly not wanted. Sincerely, Thorsten [Werbeagentur Schulz-Design][1] [1]: https://www.schulzdesign.info
Vote to pay developers attention to this features or issue.
9 Comments
Order By: Standard | Newest
Werbeagentur Schulz-Design
88 Posts
Werbeagentur Schulz-Design posted this 3 weeks ago

I believe it has to do with templateDetails.xml.
For some it works, for some it doesn't.

Have rows changed?
If yes, which?

Thanks and best regards
Thorsten

I believe it has to do with templateDetails.xml. For some it works, for some it doesn't. Have rows changed? If yes, which? Thanks and best regards Thorsten
Werbeagentur Schulz-Design
88 Posts
Werbeagentur Schulz-Design posted this 3 weeks ago

Hello,

No Answer?

I have now found out that all websites hosted with STRATO cannot be opened. As described, only an 'Error' message appears and you can only start Themler if you switch to PHP 7.4 on the server side.

https://www.strato.de/

Hello, No Answer? I have now found out that all websites hosted with STRATO cannot be opened. As described, only an 'Error' message appears and you can only start Themler if you switch to PHP 7.4 on the server side. https://www.strato.de/
Werbeagentur Schulz-Design
88 Posts
Werbeagentur Schulz-Design posted this 2 weeks ago

Hello,

Thank you for the (non-existent) help.

I found the problem: It's the cache.
If the cache is enabled in the backend, the error message appears.
If the cache is disabled you can start Themler-Online.

Kind regards
Thorsten

Hello, Thank you for the (non-existent) help. I found the problem: It's the cache. If the cache is enabled in the backend, the error message appears. If the cache is disabled you can start Themler-Online. Kind regards Thorsten
Werbeagentur Schulz-Design
88 Posts
Werbeagentur Schulz-Design posted this 6 days ago

Unfortunately the problem still exists!
Why is nobody answering?

PHP 7.4 support ends in November.
My host will then disable the PHP 7.4.
If the problem isn't solved by then, I can no longer edit the templates.

I tried it with different browsers.

I ask you to fix the error.
Thanks.

Unfortunately the problem still exists! Why is nobody answering? PHP 7.4 support ends in November. My host will then disable the PHP 7.4. If the problem isn't solved by then, I can no longer edit the templates. I tried it with different browsers. I ask you to fix the error. Thanks.
Werbeagentur Schulz-Design
88 Posts
Werbeagentur Schulz-Design posted this 6 days ago

New error message: 'Error: Path cannot be empty: Path cannot be empty'
Other websites only showed 'Error'

New error message: 'Error: Path cannot be empty: Path cannot be empty' Other websites only showed 'Error'
emperor
22 Posts
emperor posted this 5 days ago

Unfortunately the problem still exists!

So enabling/disabling cache does not solve the problem any more? Does error appears also on websites with other hosting providers (other than Strato)? Are you using Joomla 3 or 4? You may check discussion here: https://forum.joomla.org/viewtopic.php?t=987397 (very similar problem with Nicepage)

Why is nobody answering?

Well, I assume that was a rhetorical question ;)

PHP 7.4 support ends in November.
My host will then disable the PHP 7.4.

It is a major issue, maybe they will release a new version with fixes before that, but two months ago I sadly resigned on Themler completely - and it was good decision for me.

> Unfortunately the problem still exists! So enabling/disabling cache does not solve the problem any more? Does error appears also on websites with other hosting providers (other than Strato)? Are you using Joomla 3 or 4? You may check discussion here: https://forum.joomla.org/viewtopic.php?t=987397 (very similar problem with Nicepage) > Why is nobody answering? Well, I assume that was a rhetorical question ;) > PHP 7.4 support ends in November. > My host will then disable the PHP 7.4. It is a major issue, maybe they will release a new version with fixes before that, but two months ago I sadly resigned on Themler completely - and it was good decision for me.
Support Team
Support Team posted this 5 days ago

Hello,

Sorry for delay in response. Just to confirm - the issue is present only with Joomla 3 or 4 and PHP 8 and with CMS cache enabled, right? Also with the default theme?

Sincerely,
Nettie

Hello, Sorry for delay in response. Just to confirm - the issue is present only with Joomla 3 or 4 and PHP 8 and with CMS cache enabled, right? Also with the default theme? Sincerely, Nettie
Werbeagentur Schulz-Design
88 Posts
Werbeagentur Schulz-Design posted this yesterday

Hello Nettie,

many thanks for your response.
It took a while because I had to test the points extensively first.

The problem seems to only exist with Joomla 3. With J4 and the beta, I haven't found any problem so far. So far, I only have a test installation.

The problem exists with all hosts and also with the blank theme. If the cache is enabled, an error message appears. Sometimes only 'Error', sometimes 'Error: Path cannot be empty: Path cannot be empty'

If you deactivate the cache, you can load Themler online.

It would be nice if that could be fixed.
Thanks and best regards
Thorsten

Hello Nettie, many thanks for your response. It took a while because I had to test the points extensively first. The problem seems to only exist with Joomla 3. With J4 and the beta, I haven't found any problem so far. So far, I only have a test installation. The problem exists with all hosts and also with the blank theme. If the cache is enabled, an error message appears. Sometimes only 'Error', sometimes 'Error: Path cannot be empty: Path cannot be empty' If you deactivate the cache, you can load Themler online. It would be nice if that could be fixed. Thanks and best regards Thorsten
copywriter
76 Posts
copywriter posted this yesterday

It is this problem solvin with PHP 8 in a WordPress too? I had much questions, but it wasn't answered on anyone.

It is this problem solvin with PHP 8 in a WordPress too? I had much questions, but it wasn't answered on anyone.
You must log in or register to leave comments